publishForm
POST
/api/v1/data-sources/{id}/form/publish
const url = 'https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form/publish';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/data-sources/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/form/publishSnapshots the current draft into a new immutable revision after conservative compatibility checks (a previously published output field cannot be removed or change its output type). Existing submissions remain tied to their original revisions. Requires the manage capability.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”The newly published revision
Manage capability required
Draft schema rejected or incompatible with the published revision